set more off

clear

capture log close


log using Tables_1_7.log, replace

use Tables_1_7.dta, replace

****************************************************************************
***                             TABLE 1                                  ***                         
****************************************************************************

sum academic age_bomber ind_involvedinterrorismbefore, d
sum target_size regional_capital, d
sum ind_caught casualties, d


****************************************************************************
***                             TABLE 4                                  ***                         
****************************************************************************

foreach var of varlist academic age_bomber involvedinterrorismbefore {

xi: dprobit ind_`var' lag_outlf lag_number_fatalities             lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp wbgs, cluster(wbgs)
xi: dprobit ind_`var' lag_outlf lag_number_fatalities             lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)
xi: dprobit ind_`var' lag_outlf lag_number_fatalities lag_curfew  lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)

}


foreach var of varlist academic age_bomber  involvedinterrorismbefore {

xi: dprobit ind_`var' lag_spec_outlf lag_number_fatalities            lag_pop lag_yerschol lag_age lag_male lag_married lag_camp wbgs, cluster(wbgs)
xi: dprobit ind_`var' lag_spec_outlf lag_number_fatalities            lag_pop lag_yerschol lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)
xi: dprobit ind_`var' lag_spec_outlf lag_number_fatalities lag_curfew lag_pop lag_yerschol lag_age lag_male lag_married lag_camp wbgs, cluster(wbgs)
}


foreach var of varlist academic age_bomber  {

xi: dprobit ind_`var' lag_income_ineq lag_number_fatalities            lag_pop lag_yerschol lag_age lag_male lag_married lag_camp wbgs, cluster(wbgs)
xi: dprobit ind_`var' lag_income_ineq lag_number_fatalities            lag_pop lag_yerschol lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)
xi: dprobit ind_`var' lag_income_ineq lag_number_fatalities lag_curfew lag_pop lag_yerschol lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)

}

xi: dprobit ind_involvedinterrorismbefore  lag_income_ineq lag_number_fatalities            lag_pop lag_yerschol lag_age lag_male lag_married lag_camp wbgs, cluster(wbgs)
xi: dprobit ind_involvedinterrorismbefore  lag_income_ineq lag_number_fatalities            lag_pop lag_yerschol lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)
xi: dprobit ind_involvedinterrorismbefore  lag_income_ineq lag_number_fatalities lag_curfew lag_pop lag_yerschol lag_age lag_male lag_married lag_camp wbgs, cluster(wbgs)


****************************************************************************
***                                TABLE 5                               *** 
****************************************************************************

foreach var of varlist target_size regional_capital  {

xi: dprobit ind_`var' lag_outlf lag_number_fatalities             lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp wbgs, cluster(wbgs)
xi: dprobit ind_`var' lag_outlf lag_number_fatalities             lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)
xi: dprobit ind_`var' lag_outlf lag_number_fatalities lag_curfew  lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)
}

foreach var of varlist target_size regional_capital  {
xi: dprobit ind_`var' lag_spec_outlf lag_number_fatalities            lag_pop lag_yerschol lag_age lag_male lag_married lag_camp wbgs, cluster(wbgs)
xi: dprobit ind_`var' lag_spec_outlf lag_number_fatalities            lag_pop lag_yerschol lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)
xi: dprobit ind_`var' lag_spec_outlf lag_number_fatalities lag_curfew lag_pop lag_yerschol lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)
}

foreach var of varlist target_size regional_capital  {
xi: dprobit ind_`var' lag_income_ineq lag_number_fatalities            lag_pop lag_yerschol lag_age lag_male lag_married lag_camp wbgs, cluster(wbgs)
xi: dprobit ind_`var' lag_income_ineq lag_number_fatalities            lag_pop lag_yerschol lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)
xi: dprobit ind_`var' lag_income_ineq lag_number_fatalities lag_curfew lag_pop lag_yerschol lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)
}



****************************************************************************
***                                TABLE 6                               ***
****************************************************************************

xi: dprobit ind_caught lag_outlf lag_number_fatalities             lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp wbgs, cluster(wbgs)
xi: dprobit ind_caught lag_outlf lag_number_fatalities             lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)
xi: dprobit ind_caught lag_outlf lag_number_fatalities lag_curfew  lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)

xi: dprobit ind_caught lag_spec_outlf lag_number_fatalities             lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp wbgs, cluster(wbgs)
xi: dprobit ind_caught lag_spec_outlf lag_number_fatalities             lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)
xi: dprobit ind_caught lag_spec_outlf lag_number_fatalities lag_curfew  lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)

xi: dprobit ind_caught lag_income_ineq lag_number_fatalities             lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp wbgs, cluster(wbgs)
xi: dprobit ind_caught lag_income_ineq lag_number_fatalities             lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)
xi: dprobit ind_caught lag_income_ineq lag_number_fatalities lag_curfew  lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)


xi: poisson casualties lag_outlf lag_number_fatalities             lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp wbgs, cluster(wbgs)
xi: poisson casualties lag_outlf lag_number_fatalities             lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)
xi: poisson casualties lag_outlf lag_number_fatalities lag_curfew  lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)


xi: poisson casualties lag_spec_outlf lag_number_fatalities             lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp wbgs, cluster(wbgs)
xi: poisson casualties lag_spec_outlf lag_number_fatalities             lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)
xi: poisson casualties lag_spec_outlf lag_number_fatalities lag_curfew  lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)


xi: poisson casualties lag_income_ineq lag_number_fatalities             lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp wbgs, cluster(wbgs)
xi: poisson casualties lag_income_ineq lag_number_fatalities             lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)
xi: poisson casualties lag_income_ineq lag_number_fatalities lag_curfew  lag_pop lag_yerschol  lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)



****************************************************************************
***                                TABLE 7                               ***
****************************************************************************




xi: dprobit islamic lag_outlf       lag_yerschol lag_number_fatalities lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)
xi: dprobit islamic lag_spec_outlf  lag_yerschol lag_number_fatalities lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)
xi: dprobit islamic lag_income_ineq lag_yerschol lag_number_fatalities lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs)
  

xi: mlogit faction lag_outlf lag_number_fatalities lag_yerschol lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs) base(0)
mfx, predict (p outcome(0))
mfx, predict (p outcome(1))
mfx, predict (p outcome(2))


xi: mlogit faction lag_spec_outlf lag_number_fatalities lag_yerschol lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs) base(0)
mfx, predict (p outcome(0))
mfx, predict (p outcome(1))
mfx, predict (p outcome(2))

xi: mlogit faction lag_income_ineq lag_number_fatalities lag_yerschol lag_age lag_male lag_married lag_camp i.year wbgs, cluster(wbgs) base(0)
mfx, predict (p outcome(0))
mfx, predict (p outcome(1))
mfx, predict (p outcome(2))



